httpd-apreq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Joe Schaefer <joe+apa...@sunstarsys.com>
Subject Re: cvs commit: httpd-apreq/Request Request.xs
Date Mon, 14 Apr 2003 02:24:29 GMT
Stas Bekman <stas@stason.org> writes:

> joes@apache.org wrote:

[...]

> >   +#if PERL_VERSION > 500703
> 
> Joe, this is incorrect I believe. There is no 500703 in the C land. 

OOPS! Quite right- thanks for the spot.

> Should be:
> 
> #if PERL_REVISION == 5 && PERL_VERSION > 7

OK- will apply shortly.

However, the whole patch really bothers me.  What I'm
attempting to do is revert to the original upload->fh 
code for pre-5.8 perls, because *rumor has it* that the 
newer code freaks out on certain platforms.  However, 
*I* haven't encountered such problems on the pre-5.8 
server that I have access to (perl 5.6.1 + mod_perl 1.26 
+ apache 1.3.27).

I'm reluctant to push for a 1.2 release until I've

  1) seen evidence that the 1.1 upload code actually misbehaves
     somewhere.

  2) seen evidence that the problem disappears when the old
     upload->fh code is used in it's place (which is what
     current-cvs is supposed to do).

-- 
Joe Schaefer

Mime
View raw message